Skip to main content
Version: 1.5.1

What's new

Product version​

1.5.1

Release date​

April 22, 2026

Brief description​

This release focuses on improving system stability and quality.

Summary​

  • Added new capabilities:
    • Pass repository branches when creating a security check;
    • Support source typing for CLI tools;
    • Support the KCS (Kaspersky Container Security) format in the SARIF parser.
  • Fixed the following issues:
    • An error when saving new API tokens while editing a tool or source;
    • The missing button for adding tools or sources in the integrations section when no projects existed;
    • The missing External API endpoint block when creating a security check with a Manual tool;
    • Incorrect behavior when testing the connection to SASTAV after entering an incorrect password.

What's new​

Pass repository branches when creating a security check​

What changed for users: Users can pass a repository branch when they specify the git source type. The specified branch appears in the scan history and security issue details. Users can also pass the repository branch through a query parameter in API endpoints (see REST API changes).

Support source typing for CLI tools​

What changed for users: Users can specify the source type (git, image) when creating a security check through CLI tools.

Support the KCS (Kaspersky Container Security) format in the SARIF parser​

What changed for users: Users can add SARIF reports that contain the KCS fields SourceFile (source file) and LibName (library name).

Bug fixes (Big Fixes)​

Problem (bug)Fix description
An error when saving new API tokens while editing a tool or sourceFixed an error that occurred when saving new API tokens while editing a tool or source
The missing button for adding tools or sources in the integrations section when no projects existedFixed an error that prevented the button for creating a new tool or source from appearing in the Integrations section when no projects had been created in the system
The missing External API endpoint block when creating a security check with a Manual toolAdded the External API Endpoint block to the page for adding a security check with a Manual tool
Incorrect behavior when testing the connection to SASTAV after entering an incorrect passwordFixed an error that caused the connection test to SASTAV to succeed when the password was incorrect

REST API changes​

Changed endpoints​

POST /check/{check_id}/external, POST /check/{check_id}/upload-result

Change details: Added the optional source_branch parameter

Update instructions​

Feedback and support​

Conclusion​

We're improving the user experience and responding promptly to emerging issues.
Thank you for reporting issues that helped us prepare this update.